Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.aop
Class AOPInstance

    java.lang.Object
      org.jboss.cache.aop.AOPInstance

All Implemented Interfaces:
  java.io.Serializable

    public class AOPInstance

extends java.lang.Object
implements java.io.Serializable

Wrapper type for cached AOP instances. When an object is looked up or put in TreeCacheAOP, this object will be advised with a CacheInterceptor. The tree cache stores a reference to this object (for example to update the instance variables, etc.). Since this reference need to be transactional but never replicated (the reference is only valid within the VM) this reference is wrapped into an AOPInstance. In addition, this instance also serves as a metadata for PojoCache. E.g., it has a reference count for multiple references and reference FQN.

Author:
  Harald Gliebe, Ben Wang
See Also:
  Serialized Form

Field Summary
`static int` | `INITIAL_COUNTER_VALUE`
`protected java.lang.Object` | `instance_`
`static java.lang.Object` | `KEY`
`protected int` | `refCount_`
`protected java.util.List` | `referencingFqnList_`
`protected java.lang.String` | `refFqn_`

Constructor Summary
`AOPInstance()`
`AOPInstance(java.lang.Object instance)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY

    public static final java.lang.Object KEY

### INITIAL_COUNTER_VALUE

    public static final int INITIAL_COUNTER_VALUE

See Also:
  Constant Field Values

### instance_

    protected transient java.lang.Object instance_

### refFqn_

    protected java.lang.String refFqn_

### refCount_

    protected int refCount_

### referencingFqnList_

    protected java.util.List referencingFqnList_

Constructor Detail

### AOPInstance

    public AOPInstance()

### AOPInstance

    public AOPInstance(java.lang.Object instance)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.